Python在cmd中可以调用的模块在pycharm中不能调用?

0
我用pip安装了pdfminer这个包,在cmd中可以成功的调用这个包的pdfparser模块:
v2-0ec6d15de707012f3e25bb3ee60ddb40_hd.jpg

但是当我在pycharm调用这个包的时候,却报错显示没有这个模块:

v2-ab2dff213d8ffe018ec245be177236f9_hd.jpg

这个问题有解决办法吗,我的python版本是2.7.12, Pycharm版本是2017.2.3,pdfminer的版本是20140328 (最后的版本),谢谢!

注意:我确定我的pycharm使用的python和cmd调用的python是同一个。我的电脑里唯一装了python2.7.13的目录就是显示台里的这个目录D:\Python\Anaconda\Ana\python.exe。 为了再次确定这个问题,在pycharm中,我在调用pdfminer前还调用了我只在这个python下安装的sklearn,也并没有报错。
已邀请:
0

许胜利 - 一个圣骑士成熟的标志是不再向盲人解释阳光。 2018-01-18 回答

12.png


查看你的pycharm使用的python版本是否是Anaconda的Python版本

 
0

Iven0814 - 不学BI不是好孩子。 2018-01-24 回答

楼上说的对的
0

qxzjz01 2018-02-08 回答

“查看你的pycharm使用的python版本是否是Anaconda的Python版本”怎么查看,不会啊。
Anaconda的Python版本的pycharm到哪下载?给个链接呗。

要回复问题请先登录注册